Subject: Re: What's cooking in git.git (Oct 2025, #09; Sat, 25)

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 27 Oct 2025 15:38:15 +0100

On Mon, Oct 27, 2025 at 10:30:30AM -0400, Jeff King wrote:
> On Mon, Oct 27, 2025 at 09:40:48AM +0100, Patrick Steinhardt wrote:
> 
> > > * ps/maintenance-geometric (2025-10-23) 11 commits
> > >  - builtin/maintenance: introduce "geometric" strategy
> > >  - builtin/maintenance: make "gc" strategy accessible
> > >  - builtin/maintenance: extend "maintenance.strategy" to manual maintenance
> > >  - builtin/maintenance: run maintenance tasks depending on type
> > >  - builtin/maintenance: improve readability of strategies
> > >  - builtin/maintenance: don't silently ignore invalid strategy
> > >  - builtin/maintenance: make the geometric factor configurable
> > >  - builtin/maintenance: introduce "geometric-repack" task
> > >  - builtin/gc: make `too_many_loose_objects()` reusable without GC config
> > >  - builtin/gc: remove global `repack` variable
> > >  - Merge branch 'tb/incremental-midx-part-3.1' into ps/maintenance-geometric
> > >  (this branch uses tb/incremental-midx-part-3.1.)
> > > 
> > >  "git maintenance" command learns the "geometric" strategy where it
> > >  avoids doing maintenance tasks that rebuilds everything from
> > >  scratch.
> > > 
> > >  Will merge to 'next'.
> > >  source: <[email-masked]>
> > 
> > Note that I've sent a minor reroll to address a CI flake that Peff
> > reported in [1]. I don't think that we need to fix regeneration of the
> > MIDX for now, as this is not a new problem. But it's something that we
> > may want to address in the future so that we don't regenerate the MIDX
> > in case we know it won't change anyway.
> 
> Ah, sorry, I hadn't seen your re-roll when I wrote my other response.
> What you wrote in v4 looks like a reasonable band-aid to me.

No need to be sorry :) I should've noted that I'm about to fix a minor
reroll.

Thanks!

Patrick